Download it now!
Bug 100374 - FILEOPEN: XLSX - Form imported with wrong setting for a list box
Summary: FILEOPEN: XLSX - Form imported with wrong setting for a list box
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:ooxml, filter:xlsx
Depends on:
Blocks: Form-Controls XLSX-Form-Controls
  Show dependency treegraph
 
Reported: 2016-06-14 15:43 UTC by Tobias Burnus
Modified: 2020-10-08 08:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
xlsx file on which it is possible to reproduce bug (19.95 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-09-29 21:17 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2016-06-14 15:43:56 UTC
There is an XLSX form import bug for list controls, where the value instead of the position is used.


To reproduce:

1. Open the Excel form from http://www.sailing.org/tools/documents/FirstRaceTCFCalculationofWSEHafterIRCvalidation-[20842].xlsx

2. Choose View > Toolbars -> Form Controls - and ensure that the second button in upper row ("OK", Toggle Design Mode) is *not* set.

[Side note: It is not very intuitive to get into this mode; with Excel, one is by default in this mode - and a right click can nonetheless be used to modify the form control.]

3. Choose a value from the lists on the left.

EXPECTED: The values in column "L" change to 1...5 and a value shows up in the red box.

ACTUAL: The L column contains "1 = ..." values and the red box remains unchanged.


SOLUTION (as a user, it should happen automatically): Go into the Design Mode (toggle the Form Control "OK" button), click on each list box widget and then:

a) Right click and choose Control
b) In the "Properties: List Box" window, go to the "Data" tab
c) Choose in "Content of the linked cell:" the value "Position of the selected entry". The value when imported was "The selected entry".
Comment 1 Buovjaga 2016-06-18 12:21:57 UTC
Repro with document.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: c13f60e7cd18df6b0ab70289f5b91ee01e4ae126
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on June 18th 2016
Comment 2 Bartosz 2016-09-29 21:17:26 UTC
Created attachment 127728 [details]
xlsx file on which it is possible to reproduce bug
Comment 3 QA Administrators 2018-07-03 02:39:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug